Bug 1738145 - votca-xtp depends on Python 2
Summary: votca-xtp depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: votca-xtp
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:17 UTC by Lumír Balhar
Modified: 2019-12-01 00:45 UTC (History)
1 user (show)

Fixed In Version: votca-xtp-1.5.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-01 00:45:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:17:07 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for votca-xtp's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to votca-xtp.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:04:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:40:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-15 07:26:45 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-22 06:51:35 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Lumír Balhar 2019-08-29 05:18:00 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 6 Christoph Junghans 2019-08-29 22:49:52 UTC
Just a couple of scripts, upstream moved to python3 already, so the next version won't require python2, patch could be back-ported easily.

Comment 7 Lumír Balhar 2019-09-06 08:03:31 UTC
Perfect. Is there any plan for a new release or do you want to backport the upstream patch?

Comment 8 Christoph Junghans 2019-09-06 15:44:12 UTC
(In reply to Lumír Balhar from comment #7)
> Perfect. Is there any plan for a new release or do you want to backport the
> upstream patch?

Next couple of months I guess.

Comment 9 Christoph Junghans 2019-09-06 15:49:15 UTC
If we need to backport: https://github.com/votca/xtp/pull/245

Comment 10 Lumír Balhar 2019-09-09 05:45:47 UTC
Thanks for the info. The situation here is the same as with votca-csg.

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 11 Fedora Update System 2019-11-22 03:30:33 UTC
FEDORA-2019-1504819f22 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1504819f22

Comment 12 Fedora Update System 2019-11-23 02:38:24 UTC
votca-csg-1.5.1-1.fc31, votca-tools-1.5.1-2.fc31, votca-xtp-1.5.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1504819f22

Comment 13 Fedora Update System 2019-12-01 00:45:50 UTC
votca-csg-1.5.1-1.fc31, votca-tools-1.5.1-2.fc31, votca-xtp-1.5.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.